<?xml version="1.0" encoding="utf-8"?>

<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <object id="AcaoRepository"
          type="MicroUniverso.Seguranca.Repositorios.AcaoRepository, MicroUniverso.Seguranca.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="FuncionalidadeRepository"
          type="MicroUniverso.Seguranca.Repositorios.FuncionalidadeRepository, MicroUniverso.Seguranca.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="GridRepository"
          type="MicroUniverso.Seguranca.Repositorios.GridRepository, MicroUniverso.Seguranca.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ModuloRepository"
          type="MicroUniverso.Seguranca.Repositorios.ModuloRepository, MicroUniverso.Seguranca.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="UsuarioColunaGridRepository"
          type="MicroUniverso.Seguranca.Repositorios.UsuarioColunaGridRepository, MicroUniverso.Seguranca.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="UsuarioFuncionalidadeAcaoRepository"
            type="MicroUniverso.Seguranca.Repositorios.UsuarioFuncionalidadeAcaoRepository, MicroUniverso.Seguranca.Repositorios.NH"
            singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="TokenUsuarioRepository"
            type="MicroUniverso.Seguranca.Repositorios.TokenUsuarioRepository, MicroUniverso.Seguranca.Repositorios.NH"
            singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

</objects>